# DarAuthority: dag

Summary: GNU TLS library.
Name: gnutls
Version: 0.8.10
Release: 0.dag
License: LGPL/GPL
Group: System Environment/Libraries
URL: http://www.gnu.org/software/gnutls

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: ftp://ftp.gnutls.org/pub/gnutls/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: opencdk-devel lzo-devel zlib-devel
BuildRequires: libtasn1-devel 

%description
This is a TLS (Transport Layer Security) 1.0 and SSL (Secure Sockets
Layer) 3.0 implementation for the GNU project.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%package utils
Summary: Some gnutls-utilities
Group: Applications/System
Requires: %{name} = %{version}-%{release}

%description utils
This is a TLS (Transport Layer Security) 1.0 and SSL (Secure Sockets
Layer) 3.0 implementation for the GNU project.

This package contains some tools using gnutls.

%prep
%setup

%build
%configure \
	--with-included-libtasn1
%{__make} %{?_smp_mflags}

%{__perl} -pi.orig -e '
		s|^(\S.*[\s"])-L/usr/lib([\s"])|$1$2|g;
		s|^(\S.*[\s"])-I/usr/include([\s"])|$1$2|g;
	' */*-config

%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -f %{buildroot}%{_libdir}/*.la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING* NEWS README THANKS doc/TODO
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, 0755)
%doc doc/tex/gnutls.ps doc/examples/ doc/README*
%{_bindir}/*-config
%{_includedir}/gnutls/
%{_libdir}/*.a
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4

%files utils
%defattr(-, root, root, 0755)
%{_bindir}/gnutls-*

%changelog
* Wed Dec 31 2003 Dag Wieers <dag@wieers.com> - 0.8.10-0
- Initial package. (using DAR)
